using HKLib.Logic;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HKCardManager
{
    public partial class PersonnelEntry : Form
    {
        List<string> OrgList = new List<string>();
        public PersonnelEntry()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 0;
            ServiceHandler.GetOrgList()?.ForEach(item =>
            {
                OrgList.Add(item.Name);
            });
            comboBox2.DataSource = OrgList;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {

        }
    }
}
